﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication3
{
    public partial class Window1 : Window
    {
        #region Fields
        private Button designButton = new Button();
        #endregion

        public Window1()
        {
            InitializeComponent();

            designButton.Content = "Design";
            designButton.MinWidth = 100;
            designButton.IsEnabled = false;
            designButton.Click += new RoutedEventHandler(designButton_Click);
            viewerControl.MainToolBar.Items.Add(designButton);
            viewerControl.RefreshControlState += new EventHandler(viewerControl_RefreshControlState);
        }

        private void viewerControl_RefreshControlState(object sender, EventArgs e)
        {
            designButton.IsEnabled = viewerControl.Report != null;
        }

        private void designButton_Click(object sender, RoutedEventArgs e)
        {
            if (viewerControl.Report != null)
            {
                viewerControl.Report.DesignWithWpf();
            }
        }
    }
}